SystemOrganization addCategory: #'Minecraft-API'!

Object subclass: #Minecraft
	instanceVariableNames: 'socket world'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Minecraft-API'!

!Minecraft methodsFor: 'as yet unclassified' stamp: 'Laura 9/3/2014 21:04'!
initialize
	super initialize.
	socket := Socket newTCP listenOn: 7000. 
	world := MinecraftWorld newInGame: self.! !

!Minecraft methodsFor: 'accessing' stamp: 'Laura 8/28/2014 19:57'!
socket

	^ socket! !

!Minecraft methodsFor: 'accessing' stamp: 'Laura 8/28/2014 19:57'!
world

	^ world! !

!Minecraft methodsFor: 'accessing' stamp: 'Laura 8/28/2014 19:57'!
world: anObject

	world := anObject! !

Object subclass: #MinecraftObject
	instanceVariableNames: 'world x y z'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Minecraft-API'!

MinecraftObject subclass: #MinecraftBlock
	instanceVariableNames: 'id'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Minecraft-API'!

!MinecraftBlock class methodsFor: 'as yet unclassified' stamp: 'Laura 8/28/2014 19:51'!
newAt: aMinecraftWorld x: anInteger y: anotherInteger z: yetAnotherInteger
	^ self basicNew initializeWithDefaultIDAt: aMinecraftWorld x: anInteger y: anotherInteger z: yetAnotherInteger! !

!MinecraftBlock class methodsFor: 'as yet unclassified' stamp: 'Laura 9/3/2014 21:32'!
newOfKind: anInteger at: aMinecraftWorld
	^ self basicNew initializeWithID: anInteger at: aMinecraftWorld! !

!MinecraftBlock class methodsFor: 'as yet unclassified' stamp: 'Laura 8/28/2014 19:50'!
newOfKind: anInteger at: aMinecraftWorld x: anotherInteger y: yetAnotherInteger z: soManyIntegers
	^ self basicNew initializeWithID: anInteger at: aMinecraftWorld x: anotherInteger y: yetAnotherInteger z: soManyIntegers! !

!MinecraftBlock methodsFor: 'accessing' stamp: 'Laura 8/28/2014 19:55'!
id

	^ id! !

!MinecraftBlock methodsFor: 'accessing' stamp: 'Laura 8/28/2014 19:55'!
id: anObject

	id := anObject! !

!MinecraftBlock methodsFor: 'as yet unclassified' stamp: 'Laura 9/3/2014 21:32'!
initializeWithDefaultIDAt: aMinecraftWorld
	self initializeWithID: 1 at: aMinecraftWorld! !

!MinecraftBlock methodsFor: 'as yet unclassified' stamp: 'Laura 8/28/2014 19:54'!
initializeWithDefaultIDAt: aMinecraftWorld x: anInteger y: anotherInteger z: yetAnotherInteger
	self initializeWithID: 1 at: aMinecraftWorld x: anInteger y: anotherInteger z: yetAnotherInteger! !

!MinecraftBlock methodsFor: 'as yet unclassified' stamp: 'Laura 9/3/2014 21:33'!
initializeWithID: anInteger at: aMinecraftWorld
	self initializeWithWorld: aMinecraftWorld.
	self id: anInteger.! !

!MinecraftBlock methodsFor: 'as yet unclassified' stamp: 'Laura 8/28/2014 19:53'!
initializeWithID: anInteger at: aMinecraftWorld x: anotherInteger y: yetAnotherInteger z: soManyIntegers
	self initializeWithWorld: aMinecraftWorld x: anotherInteger y: yetAnotherInteger z: soManyIntegers.
	self id: anInteger.! !

MinecraftObject subclass: #MinecraftEntity
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Minecraft-API'!

!MinecraftObject class methodsFor: 'instance creation' stamp: 'Laura 9/3/2014 21:32'!
newAt: aMinecraftWorld
	^ self basicNew initializeWithWorld: aMinecraftWorld! !

!MinecraftObject class methodsFor: 'instance creation' stamp: 'Laura 8/21/2014 18:23'!
newAt: aMinecraftWorld x: aNumber y: anotherNumber z: yetAnotherNumber
	^ self basicNew initializeWithWorld: aMinecraftWorld x: aNumber y: anotherNumber z: yetAnotherNumber! !

!MinecraftObject methodsFor: 'as yet unclassified' stamp: 'Laura 9/3/2014 21:32'!
initializeWithWorld: aMinecraftWorld
	self initialize.
	self world: aMinecraftWorld! !

!MinecraftObject methodsFor: 'as yet unclassified' stamp: 'Laura 8/21/2014 18:24'!
initializeWithWorld: aMinecraftWorld x: aNumber y: anotherNumber z: yetAnotherNumber
	self initialize.
	self world: aMinecraftWorld; x: aNumber; y: anotherNumber; z: yetAnotherNumber.! !

!MinecraftObject methodsFor: 'accessing' stamp: 'Laura 8/21/2014 18:24'!
world

	^ world! !

!MinecraftObject methodsFor: 'accessing' stamp: 'Laura 8/21/2014 18:24'!
world: anObject

	world := anObject! !

!MinecraftObject methodsFor: 'accessing' stamp: 'Laura 8/21/2014 18:24'!
x

	^ x! !

!MinecraftObject methodsFor: 'accessing' stamp: 'Laura 8/21/2014 18:24'!
x: anObject

	x := anObject! !

!MinecraftObject methodsFor: 'accessing' stamp: 'Laura 8/21/2014 18:24'!
y

	^ y! !

!MinecraftObject methodsFor: 'accessing' stamp: 'Laura 8/21/2014 18:24'!
y: anObject

	y := anObject! !

!MinecraftObject methodsFor: 'accessing' stamp: 'Laura 8/21/2014 18:24'!
z

	^ z! !

!MinecraftObject methodsFor: 'accessing' stamp: 'Laura 8/21/2014 18:24'!
z: anObject

	z := anObject! !

Object subclass: #MinecraftWorld
	instanceVariableNames: 'minecraft'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Minecraft-API'!

!MinecraftWorld class methodsFor: 'as yet unclassified' stamp: 'Laura 8/21/2014 18:27'!
newInGame: aMinecraft
	^ self new initializeWithGame: aMinecraft! !

!MinecraftWorld methodsFor: 'as yet unclassified' stamp: 'Laura 9/3/2014 21:03'!
atx: aNumber y: anotherNumber z: yetAnotherNumber
	| minecraftBlock |
	minecraftBlock := MinecraftBlock new.
	^ minecraftBlock! !

!MinecraftWorld methodsFor: 'as yet unclassified' stamp: 'Laura 9/3/2014 21:02'!
atx: aNumber y: anotherNumber z: yetAnotherNumber put: aMinecraftBlock
	
! !

!MinecraftWorld methodsFor: 'as yet unclassified' stamp: 'Laura 8/21/2014 18:27'!
initializeWithGame: aMinecraft
	self initialize.
	minecraft := aMinecraft. ! !
